% LEAF RECOGNITION SYSTEM
%
% Copy all files in Matlab current directory and type "leafrec" on
% Matlab command window.
% 
% A simple and intuitive GUI should appear.
% First, select an input image clicking on "Select image".
% Then you can
%   - add this image to database (click on "Add selected image to database"
%   - perform leaf recognition (click on "Leaf Recognition" button)
%     Note: If you want to perform leaf recognition database has to include 
%     at least one image.
%
%  If you choose to add image to database, a positive integer (leaf ID) is
%  required. This posivive integer is a progressive number which identifies
%  a leaf.
%
% 
% FUNCTIONS
%
% Select image:                                  read the input image
%
% Add selected image to database:                the input image is added to database and will be used for training
%
% Database Info:                                 show informations about the images present in database.
%
% Leaf Recognition:                              leaf matching. The selected input image is processed
%
% Delete Database:                               remove database from the current directory
%
% Info:                                          show informations about this software
%
%
% Source code:                                   how to obtain the complete source code
%
% Exit:                                          quit program
%
%
%
%*****************************************************************
% Luigi Rosa
% Via Centrale 35
% 67042 Civita di Bagno
% L'Aquila --- ITALY 
% email  luigi.rosa@tiscali.it
% mobile +39 3207214179
% website http://www.advancedsourcecode.com
%*****************************************************************
%
%